#include<bits/stdc++.h>
using namespace std;
const int mxn = 2e5;
array<int,2> ar[mxn];
double y,ans,rel;
int n,x,proc;
int main()
{
	scanf("%i",&n);
	for(int i=0;i<n;i++)scanf("%i%lf",&x,&y),ar[i][0]=(int)(y*1000),ar[i][1]=x;
	sort(ar,ar+n);
	for(int i=0;i<n;i++)ans+=(ar[i][1]*(ar[0][0]/100000.0));
	for(int i=1;i<n;i++)
	{
		rel=0;
		for(int j=i;j<n;j++)rel+=(ar[j][1]*((ar[i][0]*1.0)/100000.0));
		if(rel>ans)ans=rel,proc=ar[i][0];
	}
	printf("%lf",ans);	
}